Subject: Re: repo.or.cz wishes?

From: Jakub Narebski <[email-masked]>
Date: Thu, 30 Aug 2007 01:12:51 +0200

On Wed, Aug 29, 2007, Sven Verdoolaege wrote:
> On Tue, Aug 28, 2007 at 11:56:10PM +0200, Jakub Narebski wrote:
>> On Tue, 28 August 2007, Sven Verdoolaege wrote:
>>> On Mon, Aug 27, 2007 at 11:58:42PM +0200, Jakub Narebski wrote:
>>>>
>>>> The problem is that repo.or.cz needs support for that in gitweb, while
>>>> gitweb in turn needs support for that in git. This needs git consensus
>>>> on how to specify object database location (or just gitdir) for
>>>> submodules, to have later submodule support in gitweb.
>>> 
>>> What would be the use of that (outside of gitweb) ?
>> 
>> For the hypothetical (planned?) future '--recurse-submodules' option
>> to git-diff family, git-ls-tree and git-ls-files, git-fetch and git-push
>> (but I think not git-pull), perhaps git-log (besides what it supports
>> by the way of git-diff-tree), maybe even git-status and git-commit.
> 
> Ah... you're talking about bare repositories, right?
> For non-bare repos, I'd assume you would only recurse for those
> submodules that you have actually checked out in your working tree.

For bare repositories, and for repositories which move around (at least
once change path). Gitweb uses repository like it is bare...

-- 
Jakub Narebski
Poland